package com.hithomelabs.clients.module4;

import com.hithomelabs.princeton1.module4.ArrayQueue;
import com.hithomelabs.princeton1.module4.Queue;

public class ArrayQueueClient {
    public static void main(String[] args) {
        Queue<Integer> queue = new ArrayQueue<Integer>();
        for(int i = 0; i < 21; i++){
            queue.enqueue(i);
        }
        for(int i = 0; i < 13; i++){
            System.out.println(queue.dequeue());
        }

        // Using object s, as stack is generic but every java Object has implementation of toString()
        for (Object s : queue)
            System.out.println(s);
        }
    }
